Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Class GenericEventGenChannelConfiguration

    java.lang.Object
      com.bea.wli.management.configuration.GenericEventGenChannelConfiguration

All Implemented Interfaces:
  Serializable

    public abstract class GenericEventGenChannelConfiguration

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`GenericEventGenChannelConfiguration()` Constructs a new GenericEventGenChannelConfiguration object.

Method Summary
`String` | `getChannel()` Return the channel name.
`String` | `getComment()` Return the description.
`String` | `getPublishAsUser()` Get the publishAsUser attribute
`void` | `setChannel(String channel)` Set the name of the channel.
`void` | `setComment(String comment)` Set a description for the channel rule.
`void` | `setPublishAsUser(String publishAsUser)` Set the publishAsUser attribute
`String` | `toString()` Returns a string representation of this channel.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericEventGenChannelConfiguration

    public GenericEventGenChannelConfiguration()

  Constructs a new GenericEventGenChannelConfiguration object.

Method Detail

### toString

    public String toString()

  Returns a string representation of this channel.

  Overrides:
    `toString` in class `Object`

### setChannel

    public void setChannel(String channel)

  Set the name of the channel. XEG messages are published to the channel specified by the channel name.

  Parameters:
    `channel` - - the name to channel to set.

### setComment

    public void setComment(String comment)

  Set a description for the channel rule.

  Parameters:
    `comment` - - the description of this channel.

### getChannel

    public String getChannel()

  Return the channel name.

  Returns:
    the name of the channel.

### getComment

    public String getComment()

  Return the description.

### setPublishAsUser

    public void setPublishAsUser(String publishAsUser)

  Set the publishAsUser attribute

  Parameters:
    `publishAsUser` - property to set

### getPublishAsUser

    public String getPublishAsUser()

  Get the publishAsUser attribute

  Returns:
    publishAsUser attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD